## org.apache.myfaces.custom.navmenu.jscookmenu
Class HtmlJSCookMenuTag

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.custom.navmenu.jscookmenu.HtmlJSCookMenuTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

public class HtmlJSCookMenuTag
extends UIComponentTagBase

Version:
  $Revision: 167608 $ $Date: 2005-02-18 12:19:31 -0500 (Fri, 18 Feb 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: matzew $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlJSCookMenuTag()`

Method Summary
`java.lang.String` `getComponentType()`
`java.lang.String` `getRendererType()`
`void` `release()`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setLayout(java.lang.String layout)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setTheme(java.lang.String theme)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlJSCookMenuTag

    public HtmlJSCookMenuTag()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UIComponentTagBase`

### getComponentType

    public java.lang.String getComponentType()

### getRendererType

    public java.lang.String getRendererType()

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `UIComponentTagBase`

### setLayout

    public void setLayout(java.lang.String layout)

### setTheme

    public void setTheme(java.lang.String theme)

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)